<!-- Navigation Bar -->
<nav class="navbar navbar-expand-sm sticky-top navbar-dark bg-dark">
    <div class="container-fluid">
        <a class="navbar-brand" [routerLink]="['']">Blogging Site</a>
    </div>
</nav>

<!-- Edit a blog -->
<div class="container my-4 border shadow-sm rounded">
    <form novalidate (ngSubmit)="editBlog()" [formGroup]="editBlogForm">
        <div class="mb-3">
            <label for="title" class="form-label"> Title </label>
            <input id="title" type="text" class="form-control" formControlName="title" placeholder="My blog title" />
        </div>
        <div class="mb-3">
            <label for="categories" class="form-label"> Category </label>
            <input id="categories" type="text" class="form-control" formControlName="categories"
                placeholder="Eg: Science" />
        </div>
        <div class="mb-3">
            <label for="content" class="form-label"> Content </label>
            <textarea id="content" class="form-control" formControlName="content" rows="3"
                placeholder="This is the body of my blog"></textarea>
        </div>
        <div class="mb-3">
            <button type="submit" class="btn btn-success mr-3" [disabled]="!editBlogForm.valid">
                Update
            </button>
            <button type="reset" class="btn btn-outline-danger">
                Clear
            </button>
        </div>
    </form>
</div>